ChartDirector Ver 5.0 (PHP Edition)

Layer.setBorderColor

Usage

setBorderColor(color [, raisedEffect ])

Description

Sets the default border color and 3D raised effect when drawing data sets on the layer.
This method only applies to layers that represents data with shapes that have borders (e.g. bar layer, box-whisker layer).
This method affect all data sets. To set the color of one particular data set, use DataSet.setDataColor.

Arguments

Argument | Default | Description
--- | --- | ---
color | (Mandatory) | The border color.
raisedEffect | 0 | Specifies the 3D border width or special shading effects. This argument is only applicable for layers that use rectangular shapes. For positive values, the border will appear raised. For negative values, the border will appear depressed. A zero value means the border will appear flat. The return value of glassEffect, softLighting or cylinderEffect may be used for this argument to specify these special shading effects. For BarLayer objects, barLighting may be used as well.

Return Value

None

© 2009 Advanced Software Engineering Limited. All rights reserved.